flext_class Class Reference
Inheritance diagram for flext_class:

## Public Member Functions

| flext_class (t_class *&cl, flext_obj *(*newf)(int, t_atom *), void(*freef)(flext_hdr *))

## Public Attributes

t_class *const & | clss
flext_obj *(* | newfun )(int, t_atom *)
void(* | freefun )(flext_hdr *c)
int | argc
int * | argv
flext_library * | lib
bool | dsp:1
bool | noi:1
bool | attr:1
bool | dist:1
flext_base::ItemCont | meths
flext_base::ItemCont | attrs

## Constructor & Destructor Documentation

## flext_class()

flext_class::flext_class | ( | t_class *& | cl,
|  | flext_obj *(*)(int, t_atom *) | newf,
|  | void(*)(flext_hdr *) | freef
| ) |  |

## Member Data Documentation

## argc

int flext_class::argc

## argv

int* flext_class::argv

## attr

bool flext_class::attr

## attrs

flext_base::ItemCont flext_class::attrs

## clss

t_class* const& flext_class::clss

## dist

bool flext_class::dist

## dsp

bool flext_class::dsp

## freefun

void(* flext_class::freefun) (flext_hdr *c)

## lib

flext_library* flext_class::lib

## meths

flext_base::ItemCont flext_class::meths

## newfun

flext_obj*(* flext_class::newfun) (int, t_atom *)

## noi

bool flext_class::noi

The documentation for this class was generated from the following file:

- fllib.cpp